About the Application
This application fetches IP-Accounting data from IP-Accounting enabled Cisco Switches/Router.
Compatibility Information:
For use with Microsoft Windows 9x, Windows Millennium , Windows NT, Windows 2000, Windows XP, Windows 2003.
Microsoft, Windows 95, Windows 98, Windows Millennium , Windows NT, Windows 2000, Windows XP, Windows 2003 are trademarks of Microsoft Corp.
Copyright Information:
Copyright (c) 2005 DVS Informatics Pvt. Ltd., ALL RIGHTS RESERVED. Unauthorized reproduction or distribution of this computer program or any portion of it in any form without the prior consent of DVS Informatics Pvt. Ltd. is strictly prohibited.


Overview

IP accounting software fetches IP accounting data from your Cisco Network Devices like routers and switches. Using this software network administrator can see the number of bytes and packets switched through the Cisco IOS software on a source and destination IP address basis. To maintain accurate accounting totals, the software maintains two accounting databases: an active and a checkpointed database.

In addition to IP-Accounting Table fetching, IPAccounting also facilitates Network Administrator watch status of interfaces belongs to a Switch/Router.

IPAccounting utility is based on SNMP (Simple Network Management Protocol) accepted across industry for management of computer networks. It supports SNMP v1 and SNMP v2c.

Application of IPAccounting

IPAccounting can be a use for different applications.

1. Fetching IP-Accounting table data from Cisco Switch/Router.
2. Monitoring interface status (up/down) .


Minimum Requirements

Hardware

Pentium 300 MHz. 32 MB RAM, Mouse, Color VGA Monitor running at 800x600 and Network Interface card configured for TCP/IP.

Operating System

IPAccounting can work on PC running Windows 98, Windows Millennium Addition, Windows NT and Windows 2000, Windows XP, Windows 2003 with Winsock 2.0 compliant TCP/IP on network interface card.

Network Device

IPAccounting Require Cisco Router with any IOS version.


Features of IPAccounting

Fetches live IP-Accounting table .

Provide additional facility getting interfaces with their on/off status.
Allow monitoring of multiple switches.

Support SNMP version 1 and version 2c.

Provide facility of sorting IP-Accounting table in many ways.

Provide facility of resolving IP-Address to their corresponding DNS Name by reverse DNS lookup.

IP-Accounting table can be exported to plain text format or CVS format which can be easily exported to database systems like Oracle/MS SQL Server/MS Access etc.

Provide auto refresh facility of IP-Accounting table.


Enabling IP-Accounting on Cisco Networking Device

Enabling IP-Accounting

To enable IP accounting on Cisco Networking Device, perform one of the following tasks for each interface in interface configuration mode:

Task | Command
Enable basic IP accounting. | ip accounting
Enable IP accounting with the ability to identify IP traffic that fails IP access lists. | ip accounting access-violations

To configure other IP accounting functions, perform one or more of the following tasks in global configuration mode:

Task | Command
Set the maximum number of accounting entries to be created. | ip accounting-threshold threshold
Filter accounting information for hosts. | ip accounting-list ip-address mask
Control the number of transit records that will be stored in the IP accounting database. | ip accounting-transits count

To display IP access violations for a specific IP accounting database, perform the following task in EXEC mode:

Task | Command
Display IP access-violation information. | show ip accounting [checkpoint] access-violations

To display IP access violations, you must give the access-violations keyword on the command. If you do not specify the keyword, the command defaults to displaying the number of packets that have passed access lists and were routed. The access violations output displays the number of the access list failed by the last packet for the source and destination pair. The number of packets reveals how aggressive the attack is upon a specific destination.

Use the EXEC command show ip accounting to display the active accounting database. To display the checkpointed database, use the show ip accounting checkpoint EXEC command. The clear ip accounting EXEC command clears the active database and creates the checkpointed database.


Add Switch

Adding Device

The very first step to start working with IPAccounting is to add Switch/Router Name in Device List tree and a few basic configuration parameters need to be given.

For adding Device click on icon

Alternatively Device can be added by menu Device > Add Device.

Following parameters needs to be given for Device

Device Name
Type name of Device, this name will display in Device List tree.

IP Address
IP Address of Device.

SNMP Port
Set SNMP Port on which SNMP service is running. Default is 161.

SNMP Version
Select SNMP Version 1 or SNMP Version 2c according to Device support. Default is Version 2c.

Read Community
Enter public/read community string for the Device.

Write Community
Enter set/write community string for the Device. It is necessary for fetching/clearing IP Accounting Table.

Retries
Specify number of retries. Default is 5.

Time Out
Specify time in Seconds ranged between 3 to 10 Second. Default is 3 Second.


Getting Interfaces

IPAccounting utility provides facility of listing interfaces belongs to device along with their Up/Down status.

For getting interfaces belongs to a perticular device do following

Right click on device name in Device List tree.
Click on Get / Refresh Interfaces.

Alternatively select device and

Click on icon

or

Select from menu Device > Get / Refresh Interfaces.


Getting IP-Accounting Table

For fetching IP-Accounting table belongs to a particular device do following

Right click on device name in Device List tree.
Click on Show IP-Accounting Table.

Alternatively select device and

Click on icon

or

Select from menu Device > Show IP-Accounting Table.

Note: Above procedure fetches table automatically but you can manually/automatically fetch live IP-Accounting table at any time by pressing icon [image] in IP Accounting view. For further help look in How To > Enable Auto Refresh section of this help documentation.


Modify Switch Properties

Modify Device Properties

For modifying parameter settings belongs to a particular device do following

Right click on device name in Device List tree.
Click on Modify Device.

Alternatively select device and

Click on icon

or

Select from menu Device > Modify Device.


Remove Switch

Remove Device

For removing a Device from Device List tree do following

Right click on device name in Device List tree.
Click on Remove Device.

Alternatively select device and

Click on icon

or

Select from menu Device > Remove Device.


Remove All Switches

Remove All Devices

For removing all devices from Device List tree do following

Select from menu Device > Remove All Device.


Sort IP-Accounting Table

After fetching IP-Accounting Table it can be sorted by four ways. Click on corresponding icon in IP Accounting view described below.

Sort by Bytes in ascending order.

Click on Icon

Sort by Bytes in descending order.

Click on Icon

Sort by Packet in ascending order.

Click on Icon

Sort by Packet in descending order.

Click on Icon


Clear IP-Accounting Table

For clear IP-Accounting table from device do following

In IP Accounting view click on icon


Export IP-Accounting Table

After fetching IP-Accounting table it can be exported to text file. For exporting click on icon

A popup window will then appear like below

Specify file name and press ok button. Text file can be exported in CVS format which allow easy export to MS Access, Oracle etc. Click on check box labeled "Enable CVS Format" and set customized options Field Separation Character and Enclosed in quotes.


Enable Auto Refresh

IP-Accounting table can be auto refreshed at specific interval. To enable auto refresh

Check the box Enable Auto Refresh and Log at bottom of IP Accounting view.
Specify log file name in Select log file dialog and specify refresh time in minutes.
Click on icon

Additionally if you want to clear IP-Accounting table after refresh then check the box Auto Refresh.

Note: You can fetch live table at any time by pressing icon [image] in IP Accounting view.


Resolve IP Address to DNS Name

For resolving destination IP Addresses to their corresponding DNS name do the following

In IP Accounting view click on icon

If you want to terminate process of resolving IP Addresses click on icon

Note: Please specify IP Address of DNS server in interface's TCP/IP properties to which switch is connected.


Licensing

When IPAccounting is installed first time on system, it will work for 30 days of evaluation period with full functionality. After that you need to purchase License.

You can purchase IPAccounting from www.dvsinfo.com. After getting order confirmation, License Key will be E-mailed to you.

To continue registration process start application and

1. Enter Registration key you have got by Email in 5 text fields correctly.

2. Press Enter Key button.

3. Please keep this License Key in safe and secure place.

After key validation Evaluation Version will convert to licensed version.


Support

For support contact us at:

DVS Informatics Pvt. Ltd.
Plot no.31,Electronics Complex,
Pardeshipura,
Indore - MP (452010)
INDIA
Phone: +91-731-5030024,+91-731-5032405
Fax : +91-731-5072058

Email: support@dvsinfo.com
inquiry@dvsinfo.com
orders@dvsinfo.com

URL : www.dvsinfo.com